Forum: Ruby on Rails Error installing gem

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Raju A. (Guest)
on 2008-10-25 20:38
Hi,
I am getting the following error while installing the gems..
/usr/local/lib/site_ruby/1.8/rubygems.rb:272:in `initialize': wrong
number of arguments (1 for 0) (ArgumentError)


root@raju-laptop:/home/raju/workspace# sudo gem update --system
/usr/local/lib/site_ruby/1.8/rubygems.rb:272:in `initialize': wrong
number of arguments (1 for 0) (ArgumentError)
        from /usr/local/lib/site_ruby/1.8/rubygems.rb:272:in `new'
        from /usr/local/lib/site_ruby/1.8/rubygems.rb:272:in
`configuration'
        from /usr/local/lib/site_ruby/1.8/rubygems.rb:512:in `path'
        from /usr/local/lib/site_ruby/1.8/rubygems/source_index.rb:66:in
`installed_spec_directories'
        from /usr/local/lib/site_ruby/1.8/rubygems/source_index.rb:56:in
`from_installed_gems'
        from /usr/local/lib/site_ruby/1.8/rubygems.rb:726:in
`source_index'
        from
/usr/local/lib/site_ruby/1.8/rubygems/gem_path_searcher.rb:86:in
`init_gemspecs'
        from
/usr/local/lib/site_ruby/1.8/rubygems/gem_path_searcher.rb:21:in
`initialize'
         ... 6 levels...
        from /usr/local/lib/site_ruby/1.8/rubygems/gem_runner.rb:8:in
`require'
        from /usr/local/lib/site_ruby/1.8/rubygems/gem_runner.rb:8
        from /usr/bin/gem:8:in `require'
        from /usr/bin/gem:8

thanks & regards
Raju K ARalikatti
This topic is locked and can not be replied to.